FreeBSD : Gitlab -- Multiple Vulnerabilities (c5bd9068-440f-11ea-9cdb-001b217b3468)

High Nessus Plugin ID 133434

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

Gitlab reports :

Path Traversal to Arbitrary File Read

User Permissions Not Validated in ProjectExportWorker

XSS Vulnerability in File API

Package and File Disclosure through GitLab Workhorse

XSS Vulnerability in Create Groups

Issue and Merge Request Activity Counts Exposed

Email Confirmation Bypass Using AP

Disclosure of Forked Private Project Source Code

Private Project Names Exposed in GraphQL queries

Disclosure of Issues and Merge Requests via Todos

Denial of Service via AsciiDoc

Last Pipeline Status Exposed

Arbitrary Change of Pipeline Status

Grafana Token Displayed in Plaintext

Update excon gem

Update rdoc gem

Update rack-cors gem

Update rubyzip gem

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?8c01373b

http://www.nessus.org/u?3ab7b29f

Plugin Details

Severity: High

ID: 133434

File Name: freebsd_pkg_c5bd9068440f11ea9cdb001b217b3468.nasl

Version: 1.3

Type: local

Published: 2020/02/03

Updated: 2020/02/12

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2020-8114

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:gitlab-ce, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/01/31

Vulnerability Publication Date: 2020/01/30

Reference Information

CVE: CVE-2019-16779, CVE-2019-16892, CVE-2019-18978, CVE-2020-6833, CVE-2020-7966, CVE-2020-7967, CVE-2020-7968, CVE-2020-7969, CVE-2020-7971, CVE-2020-7972, CVE-2020-7973, CVE-2020-7974, CVE-2020-7976, CVE-2020-7977, CVE-2020-7978, CVE-2020-7979, CVE-2020-8114